package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 报告信息对象 report_detail
 * 
 * @author boman
 * @date 2021-12-27
 */
public class ReportDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报告ID */
    private Long reportId;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNumber;

    /** 送检ID */
    @Excel(name = "送检ID")
    private Long inspectId;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 送检单位名称 */
    @Excel(name = "送检单位名称")
    private String inspectName;

    /** 委托单位名称 */
    @Excel(name = "委托单位名称")
    private String entrustName;

    /** 是否合格（N合格 Y不合格） */
    @Excel(name = "是否合格", readConverterExp = "N=合格,Y=不合格")
    private String isQualify;

    /** 报告图片 */
    @Excel(name = "报告图片")
    private String reportUrl;
    /**
     * 签发日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date issueTime;
    /**
     * 二维码地址
     */
    private String qrPath;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    /**
     * 创建人手机号码
     */
    private String phonenumber;

    public Date getIssueTime() {
        return issueTime;
    }

    public void setIssueTime(Date issueTime) {
        this.issueTime = issueTime;
    }

    public String getQrPath() {
        return qrPath;
    }

    public void setQrPath(String qrPath) {
        this.qrPath = qrPath;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId() 
    {
        return reportId;
    }
    public void setReportNumber(String reportNumber) 
    {
        this.reportNumber = reportNumber;
    }

    public String getReportNumber() 
    {
        return reportNumber;
    }
    public void setInspectId(Long inspectId) 
    {
        this.inspectId = inspectId;
    }

    public Long getInspectId() 
    {
        return inspectId;
    }
    public void setSampleName(String sampleName) 
    {
        this.sampleName = sampleName;
    }

    public String getSampleName() 
    {
        return sampleName;
    }
    public void setInspectName(String inspectName) 
    {
        this.inspectName = inspectName;
    }

    public String getInspectName() 
    {
        return inspectName;
    }
    public void setEntrustName(String entrustName) 
    {
        this.entrustName = entrustName;
    }

    public String getEntrustName() 
    {
        return entrustName;
    }
    public void setIsQualify(String isQualify) 
    {
        this.isQualify = isQualify;
    }

    public String getIsQualify() 
    {
        return isQualify;
    }
    public void setReportUrl(String reportUrl) 
    {
        this.reportUrl = reportUrl;
    }

    public String getReportUrl() 
    {
        return reportUrl;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reportId", getReportId())
            .append("reportNumber", getReportNumber())
            .append("inspectId", getInspectId())
            .append("sampleName", getSampleName())
            .append("inspectName", getInspectName())
            .append("entrustName", getEntrustName())
            .append("isQualify", getIsQualify())
            .append("reportUrl", getReportUrl())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
